#!/usr/bin/env python
import pygame
from pygame.locals import *
import sys

import cursor, tools

SCR_RECT = Rect(0, 0, 640, 480)

class Main():
    def __init__(self):
        pygame.init()
        pygame.display.set_caption("sample")
        screen = pygame.display.set_mode(SCR_RECT.size)

        self.font = pygame.font.Font("data/minamoji04.ttf", 80)
        self.title = self.font.render("ラビップルの冒険", True, (0, 0, 0))
        self.start = self.font.render("はじめる", True, (0, 0, 0))

        self.image = tools.load_image("data", "rabipple.png", -1)
        # 画像の座標を設定
        self.x = 288
        self.y = 200
        # 移動速度
        self.speed = 5

        self.bg = tools.load_image("data", "bg.png")

        self.cursor = cursor.Cursor(90, 330, (0, 0, 0))

        clock = pygame.time.Clock()
        while True:
            clock.tick(30)
            self.update()
            self.draw(screen)
            pygame.display.update()
            self.key_handler()

    def update(self):
        self.cursor.update()

    def draw(self, screen):
        screen.blit(self.bg, (0, 0))

        screen.blit(self.title, (((320 - (self.title.get_width() / 2)), 100)))
        screen.blit(self.start, (((320 - (self.start.get_width() / 2)), 300)))
        screen.blit(self.image, (self.x, self.y))

        self.cursor.draw(screen)

    def key_handler(self):
        for event in pygame.event.get():
            if event.type == QUIT:
                pygame.quit()
                sys.exit()
        pressed_keys = pygame.key.get_pressed()
        if pressed_keys[K_LEFT]:
            self.x -= self.speed
        if pressed_keys[K_RIGHT]:
            self.x += self.speed
        if pressed_keys[K_UP]:
            self.y -= self.speed
        if pressed_keys[K_DOWN]:
            self.y += self.speed

if __name__ == "__main__":
    Main()
